%global commit  0dbd03991462397eb92bb40af712c837c898ebf1
%global scommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20181024
%global gitrel  .%{gitdate}git%{scommit}
%global gitver  -%{gitdate}git%{scommit}

Name:           slurp
Version:        0.0.1
Release:        2%{?gitrel}%{?dist}
Summary:        Select a region in a Wayland compositor

# All files in the sources are licensed as MIT, but
# - LGPL (v2.1 or later)
#   * protocol/idle.xml
#   * protocol/server-decoration.xml
# - NTP (legal disclaimer)
#   * protocol/gamma-control.xml
#   * protocol/text-input-unstable-v3.xml
#   * protocol/wlr-gamma-control-unstable-v1.xml
#   * protocol/wlr-input-inhibitor-unstable-v1.xml
#   * protocol/wlr-layer-shell-unstable-v1.xml
#
# Those files are processed to c-compilable files by the
# `wayland-scanner` binary during build and don't alter the
# main license of the binaries linking with them by the
# underlying licenses.
License:        MIT
URL:            https://github.com/emersion/%{name}
Source:         %{url}/archive/%{commit}.tar.gz#/%{name}-%{version}%{?gitver}.tar.gz
Source1:        slurp-grim
Source2:        slurp-grim.desktop

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  scdoc

%description
%{summary}.

%prep
%autosetup -n %{name}-%{commit} -p 1


%package grim
Summary:        Wayland compositor region screenshot slurp-grim integration
BuildRequires:  desktop-file-utils
# check scriptlet only
BuildRequires:  ShellCheck
Requires:       grim
Requires:       %{name} = %{version}-%{release}
Requires:       sed
Requires:       zenity

%description grim
%{summary}.


%build
%meson
%meson_build

%install
%meson_install
%{__install} %{SOURCE1} %{buildroot}%{_bindir}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

%check
%meson_test
shellcheck %{SOURCE1}


%files
%{_bindir}/%{name}
%doc README.md
%license LICENSE
%{_mandir}/man1/%{name}.1*

%files grim
%{_bindir}/%{basename:%{SOURCE1}}
%{_datadir}/applications/%{basename:%{SOURCE2}}

%changelog
* Sat Nov 10 2018 Jan Pokorný <jpokorny+rpm-grim@fedoraproject.org> - 0.0.1-2.20181024git0dbd039
- Clarify licensing
- Add -grim subpackage carrying smooth slurp-grim integration

* Sat Nov 03 2018 Jan Pokorný <jpokorny+rpm-grim@fedoraproject.org> - 0.0.1-1.20181024git0dbd039
- Initial packaging
